OOUI\IndicatorElement Class Reference

Element containing an indicator. More...

Inheritance diagram for OOUI\IndicatorElement:
[legend]
Collaboration diagram for OOUI\IndicatorElement:
[legend]

## Public Member Functions

| __construct (Element $element, array $config=array())
| setIndicator ($indicator=null)
| Set indicator name. More...
| getIndicator ()
| Get indicator name. More...
| getConfig (&$config)
Public Member Functions inherited from OOUI\ElementMixin
| __construct (Element $element, Tag $target, array $config=array())
| Create element. More...
| getConfig (&$config)
| Add properties to the given `$config` array to allow reconstruction of this widget via its constructor. More...

## Static Public Attributes

static | $targetPropertyName = 'indicator'
Static Public Attributes inherited from OOUI\ElementMixin
static string | $targetPropertyName = ''
| Property name for accessing the target on the element.

## Protected Attributes

string null | $indicator = null
| Symbolic indicator name. More...
Protected Attributes inherited from OOUI\ElementMixin
Element | $element = null
| Element being mixed into.

## Additional Inherited Members

Public Attributes inherited from OOUI\ElementMixin
Tag | $target = null
| Tag being targeted.

## Detailed Description

Element containing an indicator.

Indicators are graphics, smaller than normal text. They can be used to describe unique status or behavior. Indicators should only be used in exceptional cases; such as a button that opens a menu instead of performing an action directly, or an item in a list which has errors that need to be resolved.

## Constructor & Destructor Documentation

OOUI\IndicatorElement::__construct | ( | Element | $element,
|  | array | $config = `array()`
| ) |  |

Parameters

  Element | $element | Element being mixed into
  array | $config | Configuration options
  string | $config,['indicator'] | Symbolic indicator name

## Member Function Documentation

OOUI\IndicatorElement::getIndicator | ( |  | ) |

Get indicator name.

Returns
  string Symbolic name of indicator

OOUI\IndicatorElement::setIndicator | ( |  | $indicator = `null` | ) |

Set indicator name.

Parameters

  string | null | $indicator | Symbolic name of indicator to use or null for no indicator

Returns
  $this

## Member Data Documentation

string null OOUI\IndicatorElement::$indicator = null

protected

Symbolic indicator name.

The documentation for this class was generated from the following file:

- php/mixins/IndicatorElement.php